
wpop_url <- 'https://data.worldpop.org/GIS/Population/Global_2000_2020/2020/0_Mosaicked/ppp_2020_1km_Aggregated.tif'
wpop_fn <- file.path(wkdir,'local_data','geo_data','pop', "ppp_2020_1km_Aggregated.tif")

# download temp
if(!file.exists(wpop_fn)){

  # Send the request
  response <- httr::GET(wpop_url)

  # Check the response status
  if (http_status(response)$category == "Success") {

    # Save the file
    writeBin(content(response, "raw"), wpop_fn)

    cat("File downloaded successfully!",wpop_fn)
  } else {
    cat("Error downloading file:", http_status(response)$message)
  }

} else {
  print(sprintf("already downloaded %s",basename(wpop_url)))
}

wpop20 <- terra::rast(wpop_fn)
